using System.ComponentModel.DataAnnotations;

namespace BuecherwurmAPI.Models
{
    public class Magazin : IProduct
    {
        public long ProductId {get; set;}
        public CategoryEnum Category {get; set;}
        public long LendTime {get; set;}
        public string Title {get; set;}
        public long Run {get; set;}
        public string Audience {get; set;}
        public string Topic {get; set;}
        public LendTypeEnum LendType {get; set;}
    }

    public class MagazinPost : IProductPost
    {
        public CategoryEnum Category {get; set;}
        public long LendTime {get; set;}
        public string Title {get; set;}
        public string Run {get; set;}
        public string Audience {get; set;}
        public string Topic {get; set;}
        public LendTypeEnum LendType {get; set;}

        public MagazinPost()
        {
            LendType = LendTypeEnum.Physical;
            LendTime = 2;
            Category = CategoryEnum.Magazine;
        }
    }

}

